<template>
  <sui-modal
    v-model="exitSaveModal"
    size="standart"
    :animation-duration="1"
    v-dom-move
    close-on-outside-click
    v-scroll-lock="exitSaveModal">
    <i
      class="close icon"
      @click="hideModal"/>
    <div class="header white"/>
    <div class="content">
      <div
        v-if="!hasErrors"
        class="title">Сохранить изменения?
      </div>
      <div
        v-else
        class="title">Введите корректные данные,<br > либо перейдите без сохранения
      </div>
      <div class="action">
        <button
          v-if="!hasErrors"
          @click="saveChanges"
          class="ui button yellow">Сохранить и перейти
        </button>
        <flink
          @click.native="hideModal()"
          :href="link"
          class="ui button inverted thin blue">Перейти без сохранения
        </flink>
        <div
          class="ui button transparent"
          @click="hideModal">Отмена</div>
      </div>
    </div>
  </sui-modal>
</template>

<script>
export default {
  name: 'ExitSave',
  model: {
    prop: 'exitSaveModalShow',
    event: 'change',
  },
  props: {
    hasErrors: {
      type: Boolean,
      default: false,
    },
    link: {
      type: String,
      default: '',
    },
    exitSaveModalShow: {
      type: Boolean,
      required: true,
    },
  },
  data() {
    return { };
  },
  computed: {
    exitSaveModal: {
      get() {
        return this.exitSaveModalShow;
      },
      set(value) {
        if (!value) {
          this.hideModal();
        }
      },
    },
  },
  methods: {
    saveChanges() {
      this.hideModal();
      this.$emit('save');
    },
    hideModal() {
      this.$emit('change', false);
    },
  },
};
</script>

<style scoped lang="scss">
  .ui.modal {
    > .content {
      margin: 0 auto;
      padding: 0 2rem 2rem;
      .title {
        display: block;
        font-size: 1.125rem;
        line-height: 1.3;
        font-weight: 700;
        text-align: center;
      }
      .action {
        display: flex;
        justify-content: center;
        align-items: center;
        @media screen and (max-width: 980px) {
          flex-flow: column nowrap;
          padding: 2rem 0 0.5rem;
          .button {
            width: 100%;
            font-size: 0.9375rem;
          }
          .button:not(:last-child) {
            margin-bottom: 1rem;
          }
        }
        @media screen and (min-width: 981px) {
          flex-flow: row nowrap;
          padding: 2rem 2rem 0.5rem;
          .button {
            font-size: 0.8125rem;
          }
          .button:not(:last-child) {
            margin-right: 1.5rem;
          }
        }
      }
    }
  }

</style>
